var timerId = null;
var onprogress = false;

function start1()
{
  if(onprogress){
    clearTimeout(timerId);
    str = "Trwa przetwarzanie danych. Spróbuj za chwilę.";
    str += "\nOdświeżanie zostało wstrzymane.";
    alert(str);
    return;
  }
  tfTabelaText = document.getElementById('tfTabela').value;
  tfWierszeText = document.getElementById('tfWiersze').value;
  tfCzasText = document.getElementById('tfCzas').value;

  if(tfTabelaText == ""){
    alert("Proszę podać nazwę tabeli.");
    return;
  }
  if(tfWierszeText == ""){
    alert("Proszę podać liczbę wierszy.");
    return;
  }

  var czas = parseInt(tfCzasText);

  if(isNaN(czas) || czas < 1){
    alert("Niepoprawny czas odświeżania.");
    return;
  }
  clearTimeout(timerId);
  startRequest(tfTabelaText, tfWierszeText, czas);
}

function startRequest(tabela, wiersze, czas)
{
  if(!onprogress){
    id = (new Date()).getTime();
    url = "http://localhost/dane.php?tabela=" + tabela;
    url += "&wiersze=" + wiersze + "&id=" + id;
    url = encodeURI(url);
    onprogress = true;
    startGETRequest(url, onComplete, onEnd);
  }
  var str = "startRequest('" + tabela + "'," + wiersze + ")";
  timerId = setTimeout(str, czas * 1000);
}

function onComplete(text, xml)
{
  var dataDiv = document.getElementById("dataDiv");
  if(text.substr(0, 5) != "error"){
    dataDiv.innerHTML = text;
  }
  else{
    arr = text.split("\n");
    if(arr.length != 2){
      dataDiv.innerHTML = "Błędna odpowiedź serwera.";
    }
    else{
      dataDiv.innerHTML = arr[1];
    }
  }
}

function onEnd()
{
  onprogress = false;
}